%define bname qalculate

Summary:	A very versatile desktop calculator
Name:		qalculate-gtk
Version:	0.9.12
Release:	%mkrel 2
License:	GPLv2+
Group:		Office/Utilities
URL:		http://qalculate.github.io/
Source0:	https://github.com/Qalculate/qalculate-gtk/releases/download/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libqalculate) >= 0.9.12
Requires:	gnuplot
Requires:	wget

%description
Qalculate! is a modern multi-purpose desktop calculator for GNU/Linux. It is
small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting,
and a graphical interface that uses a one-line fault-tolerant expression entry
(although it supports optional traditional buttons).

This package provides the GTK frontend.

%prep
%setup -q

%build
%configure2_5x
%make_build

%install
%make_install

desktop-file-install \
	--remove-key="Encoding" \
	--remove-category="Application" \
	--add-category="GTK" \
	--add-category="Calculator" \
	--set-icon="%{_datadir}/pixmaps/%{bname}.png" \
	--dir %{buildroot}%{_datadir}/applications \
		%{buildroot}%{_datadir}/applications/*

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README TODO
%doc %{_docdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/pixmaps/*.png
%{_datadir}/%{name}/


%changelog
* Sun Jun 04 2017 wally <wally> 0.9.12-2.mga6
+ Revision: 1106603
- drop qalculate provides

* Tue May 30 2017 wally <wally> 0.9.12-1.mga6
+ Revision: 1105604
- new version 0.9.12

* Sat Aug 06 2016 wally <wally> 0.9.9-1.mga6
+ Revision: 1044763
- new version 0.9.9
- switch to GTK+3
- update url

* Fri Feb 12 2016 umeabot <umeabot> 0.9.7-11.mga6
+ Revision: 958700
- Mageia 6 Mass Rebuild

* Wed Aug 26 2015 ovitters <ovitters> 0.9.7-10.mga6
+ Revision: 870066
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 0.9.7-9.mga5
+ Revision: 740169
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.7-8.mga5
+ Revision: 688460
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.7-7.mga4
+ Revision: 517818
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.9.7-6.mga3
+ Revision: 379780
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Office/Other -> Office/Utilities

* Mon Jan 07 2013 barjac <barjac> 0.9.7-5.mga3
+ Revision: 340459
- update group

* Tue Aug 28 2012 wally <wally> 0.9.7-4.mga3
+ Revision: 284950
- clean .spec a bit

* Mon Mar 28 2011 steletch <steletch> 0.9.7-3.mga2
+ Revision: 78581
- Really add the updated archive
- imported package qalculate-gtk


* Sat Dec 04 2010 Funda Wang <fwang@mandriva.org> 0.9.7-3mdv2011.0
+ Revision: 608594
- update file list

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Tue Jan 26 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.7-1mdv2010.1
+ Revision: 496826
- update to new version 0.9.7
- drop patch0, fixed upstream

* Sun Sep 27 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6-3mdv2010.0
+ Revision: 449912
- rebuild for new cln

* Sat Mar 21 2009 Funda Wang <fwang@mandriva.org> 0.9.6-2mdv2009.1
+ Revision: 359928
- fix str fmt

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.9.6-2mdv2009.0
+ Revision: 218429
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat Mar 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6-2mdv2008.1
+ Revision: 182217
- bump release tag

* Sat Mar 08 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6-1mdv2008.1
+ Revision: 182198
- Patch0: fix building against latest cln-1.2
- add missing buildrequires on libgnome2-devel
- fix desktop file

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jun 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.6-1mdv2008.0
+ Revision: 43700
- drop old menu style
- drop X-MandrivaLinux
- fix file list
- adjust buildrequires
- move icons to fd.o compiliant directory
- spec file clean
- new version
- use macros


* Fri Oct 27 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.9.4-3mdv2007.0
+ Revision: 73122
- import qalculate-gtk-0.9.4-3mdv2007.1

* Sat Aug 05 2006 Charles A Edwards <eslrahc@mandriva.org> 0.9.4-2mdv2007.0
- rebuild for latest dbus

* Wed Jun 28 2006 Charles A Edwards <eslrahc@mandriva.org> 0.9.4-1mdv2007.0
- name change for spec and pkg
- 0.9.4
- update filelist
- xdg

* Fri Dec 02 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.7.2-2mdk
- rebuild for new cln
- patch 0: fix compiling with g++-4

* Tue Feb 01 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Sat Jan 22 2005 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.7.1-4mdk
- rebuild for new readline

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.1-3mdk 
- Rebuild with latest howl

* Thu Dec 02 2004 Abel Cheung <deaddog@mandrake.org> 0.7.1-2mdk
- Fix BuildRequires
- Run scrollkeeper during post/postun

* Mon Nov 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Wed Oct 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- 0.7.0

* Thu Jul 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2

* Sat Jul 10 2004 Austin Acton <austin@mandrake.org> 0.6.1-1mdk
- 0.6.1
- configure 2.5

* Sat Jun 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.6-1mdk
- 0.6

* Wed Feb 18 2004 Austin Acton <austin@mandrake.org> 0.4-1mdk
- 0.4

* Mon Oct 27 2003 Austin Acton <aacton@yorku.ca> 0.3.1-1mdk
- 0.3.1

